//
// ThaiPalaceMenuClient.java
//
// This class creates the client-side service factory
// for the desired service, makes the remote procedure call,
// and displays the response.
//

package localhost.axis.tpmenu.ThaiPalaceMenuService_jws;

import java.io.*;


public class ThaiPalaceMenuClient {

  public static void main(String [] args) throws Exception {


     // Create an instance of service locator
     localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator serviceLocator =
                     new localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator();

     // Create an instance of desired service
     localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuService service =
                     serviceLocator.getThaiPalaceMenuService();

    //  Make the actual calls

    String schema = service.getMenuSchema();

    String document = service.getMenuDocument();

    String stylesheet = service.getMenuStylesheet();

    String menu = service.getMenu() ;

    //  What's for dinner?

    System.out.println(menu) ;

  }
}
