import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ByteGourmetServer extends HttpServlet {

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        processRequest(request, response) ;
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        processRequest(request, response) ;
    }

    public void processRequest(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
    {
        Enumeration e = request.getParameterNames();
        PrintWriter out = response.getWriter ();

        ByteGourmetMenuBean bgBean = new ByteGourmetMenuBean() ;

        while (e.hasMoreElements()) {
            String name = (String)e.nextElement();
            String value = request.getParameter(name);

        System.out.println(name + "\t" + value) ;

            if(name.equals("restaurant")) {
              if(value.equals("thaiPalace")) {
                // Create an instance of service locator
                localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator serviceLocator =
                                new localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuServiceServiceLocator();
                try {
                // Create an instance of desired service
                localhost.axis.tpmenu.ThaiPalaceMenuService_jws.ThaiPalaceMenuService service =
                                serviceLocator.getThaiPalaceMenuService();


                bgBean.setMenu(service.getMenu()) ;
     	        request.setAttribute ("menuBean", bgBean);
                getServletConfig().getServletContext().getRequestDispatcher("/menu.jsp").forward(request, response);
                } catch (Exception err1)
                {
				bgBean.setMenu("An error has occurred accessing the service.");
				}
              }
            }
        }
        getServletConfig().getServletContext().getRequestDispatcher("/welcome.jsp").forward(request, response);

    }
}
